MARTe2-core - User story #204

Implement TypeDescriptor
24.08.2015 15:22 - Riccardo Vitelli

Status: Closed Start date: 24.08.2015
Priority: Normal Due date:
Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.4 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Source code files modified

Source/Core/TypeDescriptor.h

Architecture & design review

As per the original MARTe implementation, this is a support function and does not require formal design in UML.

Code and documentation review
Date of the review: 04/09/2015

Person who did the review: lvan Herrero

Result of review: PASS

List of non-conformities: N/A

Unit test review

Date of the review: 07/09/2015

Person who did the review: lvan Herrero
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities: N/A

Associated revisions

Revision 18db5a00 - 04.09.2015 08:33 - Ivan Herrero

#204 - Documentation and format modifications

History

#1 - 24.08.2015 15:23 - Riccardo Vitelli

- Description updated

#2 - 27.08.2015 10:15 - Riccardo Vitelli
- Status changed from New to Code: Imp/
#3 - 28.08.2015 14:57 - Giuseppe Ferro

- Assignee set to Giuseppe Ferro

#4 - 03.09.2015 11:36 - Giuseppe Ferro

- Description updated

- Status changed from Code: Impl to Code: Rev
- Assignee deleted (Giuseppe Ferro)

Code implementation done: 61fd50a

#5 - 03.09.2015 17:10 - lvan Herrero

- Assignee set to Ivan Herrero

#6 - 04.09.2015 08:44 - lvan Herrero
- Description updated

- Assignee deleted (lvan Herrero)

#7 - 04.09.2015 10:16 - André Neto
- Status changed from Code: Rev to Unit: Impl

#8 - 04.09.2015 10:16 - André Neto

- Assignee set to Llorenc Capella

#9 - 04.09.2015 14:44 - Llorenc Capella
- Status changed from Unit: Impl to Unit: Rev

#10 - 04.09.2015 14:44 - Llorenc Capella
- Assignee deleted (Llorenc Capella)

#11 - 07.09.2015 12:19 - lvan Herrero

- Description updated

#12 - 08.09.2015 09:13 - lvan Herrero

- Status changed from Unit: Rev to Closed

#13 - 08.09.2015 09:16 - Ivan Herrero
- Description updated
